mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
utilities.c File Reference
`#include "utilities.h"`

Go to the source code of this file.

## Functions
void | build_path (GString *path, const gchar *dir, const gchar *filename)
gint | directory_exists (const gchar *directory)
gboolean | double_equals (gdouble double_to_compare, gdouble compared_value)
gint | file_exists (const gchar *fname)
void | print_processing_file (gchar *filename, ui_state *ui)
void | remove_end_slash_n_r_from_filename (char *filename)
gchar * | transform_to_utf8 (gchar *text, gint free_or_not, gint *must_be_freed)

## Detailed Description

miscellaneous utilities

Miscellaneous utilities like the check if a string may contain a valid file- or directory name.

Definition in file utilities.c.

## Function Documentation

gint directory_exists | ( | const gchar * | directory | ) |

check if specified directory exists

Definition at line 44 of file utilities.c.

gint file_exists | ( | const gchar * | fname | ) |

check if specified file exists

Definition at line 62 of file utilities.c.

Referenced by add_playlist_file(), and disconnect_button_event().

void print_processing_file | ( | gchar * | filename,
|  | ui_state * | ui
| ) |  |

Issues the message "Processing file <filename>" into the message bar.

Parameters

  filename | The filename that has to be printed.

Definition at line 82 of file utilities.c.

References put_status_message().

void remove_end_slash_n_r_from_filename | ( | char * | filename | ) |

Removes trailing \r or \n characters from a filename.

Definition at line 98 of file utilities.c.

gchar* transform_to_utf8 | ( | gchar * | text,
|  | gint | free_or_not,
|  | gint * | must_be_freed
| ) |  |

transform text to utf8

Parameters

  text | The text thet has to be converted
  free_or_not,: | TRUE if this function has to g_free() the text if during conversion it has to copy the text to a new (e.G. larger) buffer.
  must_be_freed | reads true, if this function has allocated a new chunk of memory to have somewhere to put the output string in - which means that the memory the output string is in has to be freed after usage.

Returns

Definition at line 132 of file utilities.c.

Referenced by update_splitpoints_from_mp3splt_state().